Resolve an incident
curl --request POST \
--url https://api.devhelm.io/api/v1/incidents/{id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'{
"data": {
"incident": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"affectedRegions": [
"<string>"
],
"reopenCount": 123,
"statusPageVisible": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"triggeredByRule": "<string>",
"createdByUserId": 123,
"serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"affectedComponents": [
"<string>"
],
"shortlink": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"monitorName": "<string>",
"serviceName": "<string>",
"serviceSlug": "<string>",
"monitorType": "<string>",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupName": "<string>",
"triggeringCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeredByRuleSnapshotHashHex": "<string>",
"triggeredByRuleIndex": 123,
"engineVersion": "<string>"
},
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z",
"body": "<string>"
}
],
"statusPageIncidents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageName": "<string>",
"statusPageSlug": "<string>",
"title": "<string>",
"scheduled": true,
"publishedAt": "2023-11-07T05:31:56Z"
}
]
}
}Incidents
Resolve an incident
POST
/
api
/
v1
/
incidents
/
{id}
/
resolve
Resolve an incident
curl --request POST \
--url https://api.devhelm.io/api/v1/incidents/{id}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'{
"data": {
"incident": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"affectedRegions": [
"<string>"
],
"reopenCount": 123,
"statusPageVisible": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"triggeredByRule": "<string>",
"createdByUserId": 123,
"serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"affectedComponents": [
"<string>"
],
"shortlink": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"monitorName": "<string>",
"serviceName": "<string>",
"serviceSlug": "<string>",
"monitorType": "<string>",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupName": "<string>",
"triggeringCheckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggeredByRuleSnapshotHashHex": "<string>",
"triggeredByRuleIndex": 123,
"engineVersion": "<string>"
},
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z",
"body": "<string>"
}
],
"statusPageIncidents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statusPageName": "<string>",
"statusPageSlug": "<string>",
"title": "<string>",
"scheduled": true,
"publishedAt": "2023-11-07T05:31:56Z"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt
Use this file to discover all available pages before exploring further.
Get incident details including update timeline
Previous
Add an update to an incident (optionally change status)
Next
⌘I